跳转到主要内容
PATCH
/
table
/
{tableId}
/
field
/
{fieldId}
cURL
curl --request PATCH \
  --url https://app.teable.ai/api/table/%7BtableId%7D/field/%7BfieldId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"name":"string","description":"this is a summary","dbFieldName":"string"}'

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

tableId
string
必填
fieldId
string
必填

请求体

application/json
name
string
Minimum string length: 1
description
string | null

The description of the field.

示例:

"this is a summary"

dbFieldName
string

Field(column) name in backend database. Limitation: 1-63 characters, can only contain letters, numbers and underscore, case sensitive, cannot be duplicated with existing db field name in the table.

Minimum string length: 1
Pattern: ^\w{0,63}$

响应

200

Updated Successfully

Last modified on March 5, 2026